# class MacAddress |
Full name | `Snmp::MacAddress`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MacAddress ()
- MacAddress (void* data, int len)
- ~MacAddress ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- static const u_int8_t s_MacAddressSize
- OctetString m_MacAddress

## Detailed Description

static const int s_type | ### s_type

static const u_int8_t s_MacAddressSize | ### s_MacAddressSize

OctetString m_MacAddress | ### m_MacAddress

MacAddress () | ### MacAddress

MacAddress (void* data, int len) | ### MacAddress

~MacAddress () | ### ~MacAddress

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.